{"openapi":"3.0.4","info":{"title":"Update a Task","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/workflow"}],"paths":{"/api/tasks/{id}":{"post":{"tags":["Tasks"],"summary":"Update a Task","operationId":"UpdateTask","parameters":[{"name":"id","in":"path","description":"Id of the Task to act upon","required":true,"schema":{"maxLength":36,"minLength":36,"pattern":"^[a-zA-Z0-9\\-]+$","type":"string"}},{"name":"trigger","in":"query","description":"","schema":{"maxLength":1024,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The details of the request","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/UpdateTaskRequest"},"example":{"fields":[{"name":"clientId","value":"zzz123"},{"name":"assignee","value":"bob"},{"name":"resolutionDetail","value":""}]}},"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/UpdateTaskRequest"},"example":{"fields":[{"name":"clientId","value":"zzz123"},{"name":"assignee","value":"bob"},{"name":"resolutionDetail","value":""}]}},"text/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/UpdateTaskRequest"},"example":{"fields":[{"name":"clientId","value":"zzz123"},{"name":"assignee","value":"bob"},{"name":"resolutionDetail","value":""}]}},"application/*+json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/UpdateTaskRequest"},"example":{"fields":[{"name":"clientId","value":"zzz123"},{"name":"assignee","value":"bob"},{"name":"resolutionDetail","value":""}]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/Task"},"example":{"id":"4aa4b4e1-866a-493e-8d33-51f9e47a0843","taskDefinitionId":{"scope":"A1","code":"ZZZ"},"taskDefinitionVersion":{"asAtModified":"0001-01-01T00:00:00.0000000+00:00"},"taskDefinitionDisplayName":"Test Definition","state":"foo","ultimateParentTask":{"id":"4aa4b4e1-866a-493e-8d33-51f9e47a0843","taskDefinitionId":{"scope":"A1","code":"ZZZ"},"taskDefinitionVersion":{"asAtModified":"0001-01-01T00:00:00.0000000+00:00"},"taskDefinitionDisplayName":"Test Definition","state":"foo","correlationIds":["correlation-id"]},"correlationIds":["correlation-id"],"terminalState":false,"asAtLastTransition":"2022-01-01T01:02:03.0000000+00:00"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"404":{"description":"Tasks not found.","content":{"application/json":{"schema":{"type":"string"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}